AMQPExchange::setArguments
AMQPExchange::setName
AMQPExchange
PHP Manual

# AMQPExchange::setFlags

Set the flags on an exchange

### Description

public void AMQPExchange::setFlags ( int `$flags` )

Set the flags on an exchange.

### Parameters

`flags`

  A bitmask of flags. This call currently only considers the following flags: `AMQP_DURABLE`, `AMQP_PASSIVE`.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.